GNU bug report logs - #135
eval-defun binds print-level during eval

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: minor; Reported by: Kevin Ryde <user42@HIDDEN>; dated Mon, 14 Apr 2008 02:00:03 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 135 <at> debbugs.gnu.org:


Received: (at 135) by debbugs.gnu.org; 16 Jul 2011 22:01:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jul 16 18:01:24 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1QiCvL-0004Eu-NI
	for submit <at> debbugs.gnu.org; Sat, 16 Jul 2011 18:01:23 -0400
Received: from mailout1-7.pacific.net.au ([61.8.2.214]
	helo=mailout1.pacific.net.au)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <gg@HIDDEN>) id 1QiCvJ-0004Ef-6L
	for 135 <at> debbugs.gnu.org; Sat, 16 Jul 2011 18:01:22 -0400
Received: from mailproxy2.pacific.net.au (mailproxy2.pacific.net.au
	[61.8.2.163])
	by mailout1.pacific.net.au (Postfix) with ESMTP id 94D0C5F5A5F
	for <135 <at> debbugs.gnu.org>; Sun, 17 Jul 2011 07:56:58 +1000 (EST)
Received: from blah.blah (unknown [203.26.175.189])
	by mailproxy2.pacific.net.au (Postfix) with ESMTP id 83F7727406
	for <135 <at> debbugs.gnu.org>; Sun, 17 Jul 2011 07:56:53 +1000 (EST)
Received: from gg by blah.blah with local (Exim 4.72)
	(envelope-from <gg@HIDDEN>) id 1QiCqL-0003Ot-2v
	for 135 <at> debbugs.gnu.org; Sun, 17 Jul 2011 07:56:13 +1000
From: Kevin Ryde <user42@HIDDEN>
To: 135 <at> debbugs.gnu.org
Subject: Re: bug#135: generate autoloads versus eval-expression-print-level
	(patch)
References: <87hce9i8n5.fsf@HIDDEN> <jwviqypduds.fsf-monnier+emacs@HIDDEN>
	<87ej9au0yy.fsf@HIDDEN> <jwv4pa5r21s.fsf-monnier+emacs@HIDDEN>
	<87hce58dqy.fsf@HIDDEN> <m3aacr2u8x.fsf@HIDDEN>
	<DD977C051AD84C1F88217A1461BA4D3E@HIDDEN>
	<m31uy2xdpv.fsf@HIDDEN>
	<jwvei216f1x.fsf-monnier+emacs@HIDDEN>
	<m3vcvagv3x.fsf@HIDDEN> <87aacgl7l9.fsf@HIDDEN>
	<m3hb6nh3xd.fsf@HIDDEN>
Date: Sun, 17 Jul 2011 07:56:13 +1000
In-Reply-To: <m3hb6nh3xd.fsf@HIDDEN> (Lars Magne Ingebrigtsen's
	message of "Fri, 15 Jul 2011 19:03:26 +0200")
Message-ID: <87oc0tdh4y.fsf@HIDDEN>
User-Agent: Gnus/5.110011 (No Gnus v0.11) Emacs/23.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -3.5 (---)
X-Debbugs-Envelope-To: 135
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.4 (---)

Lars Magne Ingebrigtsen <larsi@HIDDEN> writes:
>
> readevalloop

I wondered if eval-defun might be something like separate steps
sexp-at-point, macroexpand/mangle, eval, display-result-of-eval-somehow.
Unless eval-region ends up subtly better like error context or debug or
something ...




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#135; Package emacs. Full text available.

Message received at 135 <at> debbugs.gnu.org:


Received: (at 135) by debbugs.gnu.org; 15 Jul 2011 17:03:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 15 13:03:58 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Qhlnu-0002Vi-Ks
	for submit <at> debbugs.gnu.org; Fri, 15 Jul 2011 13:03:58 -0400
Received: from hermes.netfonds.no ([80.91.224.195])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <larsi@HIDDEN>) id 1Qhlnp-0002VT-2X
	for 135 <at> debbugs.gnu.org; Fri, 15 Jul 2011 13:03:53 -0400
Received: from cm-84.215.51.58.getinternet.no ([84.215.51.58]
	helo=quimbies.gnus.org)
	by hermes.netfonds.no with esmtpsa (TLS1.0:DHE_RSA_AES_128_CBC_SHA1:16)
	(Exim 4.72) (envelope-from <larsi@HIDDEN>)
	id 1QhlnY-0001Fn-HZ; Fri, 15 Jul 2011 19:03:32 +0200
From: Lars Magne Ingebrigtsen <larsi@HIDDEN>
To: Kevin Ryde <user42@HIDDEN>
Subject: Re: bug#135: generate autoloads versus eval-expression-print-level
	(patch)
In-Reply-To: <87aacgl7l9.fsf@HIDDEN> (Kevin Ryde's message of "Fri, 15 Jul
	2011 10:18:26 +1000")
Date: Fri, 15 Jul 2011 19:03:26 +0200
Message-ID: <m3hb6nh3xd.fsf@HIDDEN>
References: <87hce9i8n5.fsf@HIDDEN> <jwviqypduds.fsf-monnier+emacs@HIDDEN>
	<87ej9au0yy.fsf@HIDDEN> <jwv4pa5r21s.fsf-monnier+emacs@HIDDEN>
	<87hce58dqy.fsf@HIDDEN> <m3aacr2u8x.fsf@HIDDEN>
	<DD977C051AD84C1F88217A1461BA4D3E@HIDDEN>
	<m31uy2xdpv.fsf@HIDDEN>
	<jwvei216f1x.fsf-monnier+emacs@HIDDEN>
	<m3vcvagv3x.fsf@HIDDEN> <87aacgl7l9.fsf@HIDDEN>
User-Agent: Gnus/5.110018 (No Gnus v0.18) Emacs/24.0.50 (gnu/linux)
X-Now-Playing: Joni Mitchell's _Shadows And Light (1)_: "Hejira"
X-Hashcash: 1:23:110715:user42@HIDDEN::WBwozx0n+FR0/Imc:00000000000000000000000000000000000000000000PWEb
X-Hashcash: 1:23:110715:135 <at> debbugs.gnu.org::D3Tz0lyZpScIDjpy:000000000000000000000000000000000000000001M/Xu
MIME-Version: 1.0
Content-Type: text/plain
X-MailScanner-ID: 1QhlnY-0001Fn-HZ
X-Netfonds-MailScanner: Found to be clean
X-Netfonds-MailScanner-From: larsi@HIDDEN
MailScanner-NULL-Check: 1311354213.27486@5BUAj58NbJE7hkdMceoIRQ
X-Spam-Status: No
X-Spam-Score: -2.7 (--)
X-Debbugs-Envelope-To: 135
Cc: 135 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.7 (--)

Kevin Ryde <user42@HIDDEN> writes:

> I thought the read/eval/print was a bit too tightly bound up there, and
> that teasing the steps apart might be cleaner than extra ways to
> influence it (parameters or dynamic bindings).  Dunno if that'd be easy
> or hard though.

That's a much better idea.

Looking at the code, it seems that (basically) all you'd need to do is
provide yet yet yet another parameter to readevalloop, and then return
the (last) val, and then refactor eval-region a bit, and then...  uhm...

Ok, it's not totally trivial, but...  :-)

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#135; Package emacs. Full text available.

Message received at 135 <at> debbugs.gnu.org:


Received: (at 135) by debbugs.gnu.org; 15 Jul 2011 00:19:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 14 20:19:15 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1QhW7f-0006qV-6c
	for submit <at> debbugs.gnu.org; Thu, 14 Jul 2011 20:19:15 -0400
Received: from mailout2-6.pacific.net.au ([61.8.2.229]
	helo=mailout2.pacific.net.au)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <gg@HIDDEN>) id 1QhW7c-0006qH-2l
	for 135 <at> debbugs.gnu.org; Thu, 14 Jul 2011 20:19:13 -0400
Received: from mailproxy1.pacific.net.au (mailproxy1.pacific.net.au
	[61.8.2.162])
	by mailout2.pacific.net.au (Postfix) with ESMTP id 6354C2BDFD2
	for <135 <at> debbugs.gnu.org>; Fri, 15 Jul 2011 10:19:04 +1000 (EST)
Received: from blah.blah (unknown [203.26.175.98])
	by mailproxy1.pacific.net.au (Postfix) with ESMTP id 74BB08C16
	for <135 <at> debbugs.gnu.org>; Fri, 15 Jul 2011 10:18:59 +1000 (EST)
Received: from gg by blah.blah with local (Exim 4.72)
	(envelope-from <gg@HIDDEN>) id 1QhW6s-00064B-2A
	for 135 <at> debbugs.gnu.org; Fri, 15 Jul 2011 10:18:26 +1000
From: Kevin Ryde <user42@HIDDEN>
To: 135 <at> debbugs.gnu.org
Subject: Re: bug#135: generate autoloads versus eval-expression-print-level
	(patch)
References: <87hce9i8n5.fsf@HIDDEN> <jwviqypduds.fsf-monnier+emacs@HIDDEN>
	<87ej9au0yy.fsf@HIDDEN> <jwv4pa5r21s.fsf-monnier+emacs@HIDDEN>
	<87hce58dqy.fsf@HIDDEN> <m3aacr2u8x.fsf@HIDDEN>
	<DD977C051AD84C1F88217A1461BA4D3E@HIDDEN>
	<m31uy2xdpv.fsf@HIDDEN>
	<jwvei216f1x.fsf-monnier+emacs@HIDDEN>
	<m3vcvagv3x.fsf@HIDDEN>
Date: Fri, 15 Jul 2011 10:18:26 +1000
In-Reply-To: <m3vcvagv3x.fsf@HIDDEN> (Lars Magne Ingebrigtsen's
	message of "Sun, 10 Jul 2011 14:48:02 +0200")
Message-ID: <87aacgl7l9.fsf@HIDDEN>
User-Agent: Gnus/5.110011 (No Gnus v0.11) Emacs/23.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -3.6 (---)
X-Debbugs-Envelope-To: 135
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.6 (---)

Lars Magne Ingebrigtsen <larsi@HIDDEN> writes:
>
> `eval-region', which both evals and prints the form,

I thought the read/eval/print was a bit too tightly bound up there, and
that teasing the steps apart might be cleaner than extra ways to
influence it (parameters or dynamic bindings).  Dunno if that'd be easy
or hard though.



-- 
The sigfile food series: Beetroot in Hamburger
Not one of Australia's finest contributions to world gastronomy,
but actually not too bad.




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#135; Package emacs. Full text available.

Message received at 135 <at> debbugs.gnu.org:


Received: (at 135) by debbugs.gnu.org; 12 Jul 2011 03:36:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 11 23:36:06 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1QgTlV-0002Hq-R6
	for submit <at> debbugs.gnu.org; Mon, 11 Jul 2011 23:36:05 -0400
Received: from fencepost.gnu.org ([140.186.70.10])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <monnier@HIDDEN>) id 1QgTlU-0002HO-15
	for 135 <at> debbugs.gnu.org; Mon, 11 Jul 2011 23:36:05 -0400
Received: from cpe-66-108-39-217.nyc.res.rr.com ([66.108.39.217]:39501
	helo=ceviche.home)
	by fencepost.gnu.org with esmtpsa (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
	(Exim 4.71) (envelope-from <monnier@HIDDEN>)
	id 1QgTlL-0004gu-7z; Mon, 11 Jul 2011 23:35:55 -0400
Received: by ceviche.home (Postfix, from userid 20848)
	id CF825660D5; Mon, 11 Jul 2011 23:35:53 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Lars Magne Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#135: generate autoloads versus eval-expression-print-level
	(patch)
Message-ID: <jwvvcv8qihh.fsf-monnier+emacs@HIDDEN>
References: <87hce9i8n5.fsf@HIDDEN> <jwviqypduds.fsf-monnier+emacs@HIDDEN>
	<87ej9au0yy.fsf@HIDDEN> <jwv4pa5r21s.fsf-monnier+emacs@HIDDEN>
	<87hce58dqy.fsf@HIDDEN> <m3aacr2u8x.fsf@HIDDEN>
	<DD977C051AD84C1F88217A1461BA4D3E@HIDDEN>
	<m31uy2xdpv.fsf@HIDDEN>
	<jwvei216f1x.fsf-monnier+emacs@HIDDEN>
	<m3vcvagv3x.fsf@HIDDEN> <m24o2ue0q9.fsf@HIDDEN>
	<m362naff4r.fsf@HIDDEN>
Date: Mon, 11 Jul 2011 23:35:53 -0400
In-Reply-To: <m362naff4r.fsf@HIDDEN> (Lars Magne Ingebrigtsen's
	message of "Sun, 10 Jul 2011 15:18:28 +0200")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -6.0 (------)
X-Debbugs-Envelope-To: 135
Cc: 135 <at> debbugs.gnu.org, Andreas Schwab <schwab@HIDDEN>,
	'Kevin Ryde' <user42@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.0 (------)

>> That argument is actually a stream (which can be a function), though
>> that doesn't help since that receives the individual characters instead
>> of the form to print.
> Ah, right.  So that wouldn't work.  But we could add a new optional
> parameter to `eval-region' to do the suggested thing.
> But is it worth it?

eval-region is slightly problematic with lexical-binding, so if we could
avoid using it that would be good.


        Stefan




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#135; Package emacs. Full text available.

Message received at 135 <at> debbugs.gnu.org:


Received: (at 135) by debbugs.gnu.org; 10 Jul 2011 13:18:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 10 09:18:47 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1QftuJ-0002tw-Dl
	for submit <at> debbugs.gnu.org; Sun, 10 Jul 2011 09:18:47 -0400
Received: from hermes.netfonds.no ([80.91.224.195])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <larsi@HIDDEN>) id 1QftuH-0002tk-W9
	for 135 <at> debbugs.gnu.org; Sun, 10 Jul 2011 09:18:46 -0400
Received: from cm-84.215.51.58.getinternet.no ([84.215.51.58]
	helo=quimbies.gnus.org)
	by hermes.netfonds.no with esmtpsa (TLS1.0:DHE_RSA_AES_128_CBC_SHA1:16)
	(Exim 4.72) (envelope-from <larsi@HIDDEN>)
	id 1Qftu3-0000H3-UV; Sun, 10 Jul 2011 15:18:31 +0200
From: Lars Magne Ingebrigtsen <larsi@HIDDEN>
To: Andreas Schwab <schwab@HIDDEN>
Subject: Re: bug#135: generate autoloads versus eval-expression-print-level
	(patch)
In-Reply-To: <m24o2ue0q9.fsf@HIDDEN> (Andreas Schwab's message of "Sun, 10
	Jul 2011 15:14:54 +0200")
Date: Sun, 10 Jul 2011 15:18:28 +0200
Message-ID: <m362naff4r.fsf@HIDDEN>
References: <87hce9i8n5.fsf@HIDDEN> <jwviqypduds.fsf-monnier+emacs@HIDDEN>
	<87ej9au0yy.fsf@HIDDEN> <jwv4pa5r21s.fsf-monnier+emacs@HIDDEN>
	<87hce58dqy.fsf@HIDDEN> <m3aacr2u8x.fsf@HIDDEN>
	<DD977C051AD84C1F88217A1461BA4D3E@HIDDEN>
	<m31uy2xdpv.fsf@HIDDEN>
	<jwvei216f1x.fsf-monnier+emacs@HIDDEN>
	<m3vcvagv3x.fsf@HIDDEN> <m24o2ue0q9.fsf@HIDDEN>
User-Agent: Gnus/5.110018 (No Gnus v0.18) Emacs/24.0.50 (gnu/linux)
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAAJFBMVEUAAADW1tWNjY0GBgcw
	MTC0tLQCAQIBAQH////+//75+flvb27oOhPJAAACbElEQVQ4jZXTMW/aQBQH8Ns8X5NIiEylVDJh
	qrBY2ApKKjFFcJKlLG1pzWopFTfbFdLDnsoE3dKmkuONlDRO/OX6f2ebhKFD7wRI/HzvPT8/C2eA
	lRFFNrkkidYK61weCmEJS78DZJSRIqJTb+J5k7HwBQwn8LddwszTAF7WJqHUNhBIgNaTkQGhbTrN
	aAWYq1Ot9cwrwbLpjMOZUFNdnfCtf4I24ALivAuwLk1yqwyV0TlOnOGANmBpfw+mesqAc7hiI882
	8jFV69Wia3KMhbw7aquxajYa9708H+b5wBn0ncFY0AkdUYhNPzOa1xDLprlLzyGuFdCiaB+CFUOy
	tokSBqoAa16LuGVY/wG1HbS4p4AIu6yqgAfTupAC7BISA8UDjWmehFUol0FtZFvW08ObZY0xcAGP
	BvqdRqOxzfOcP7yG2A2E+uOUTyjGxxw4WadXDJ9MxWQqjhha+AXcf6FIKdSKildBCYsCAvXa3GNY
	5Lbp+LZZhlIF3LYLIAL85uTnuDtA/eoZHF1QkG9M8tAuQ11JgKlGGog4RwL4pRhiE+qbuQBguhg1
	RT29Ttf0kn5UN8hzT0FTdD2vgzXoYw/zLSal/RY9agqNgdOW78/M6M28zoSvc5rCmmpfz94Ln98g
	QBEAcNnpdKeTLl4W39fa87oVfPyeptdSyhd3So0RvI0seR/wueorioyToiYaOds9CCs4MMAjEvBA
	qYtVlABu6KDHEMtjjDEAv7jBDEPL8IG+dhyMR8A5CmiVsFwsuRkGMFhPsGtfe4tcC4YR4E3Z8NAt
	qzPl7gA53OIB7GCzIrT8CYIHfL3qbf8CV+Lnmp3pyuUAAAAASUVORK5CYII=
X-Now-Playing: The Human League's _Credo_: "Into The Night"
X-Hashcash: 1:23:110710:schwab@HIDDEN::Y8l4jdVuGP4OvaID:00000000000000000000000000000000000000004+ZB
X-Hashcash: 1:23:110710:user42@HIDDEN::kqPT9Z09R3dRlcJ9:00000000000000000000000000000000000000000000J+kR
X-Hashcash: 1:23:110710:monnier@HIDDEN::IGrBR9K/gmPjxT91:0000000000000000000000000000000000000UeCk
X-Hashcash: 1:23:110710:135 <at> debbugs.gnu.org::D+bnpRxAwgaX5bzv:0000000000000000000000000000000000000000017j69
MIME-Version: 1.0
Content-Type: text/plain
X-MailScanner-ID: 1Qftu3-0000H3-UV
X-Netfonds-MailScanner: Found to be clean
X-Netfonds-MailScanner-From: larsi@HIDDEN
MailScanner-NULL-Check: 1310908712.05399@jMfMBgHyiLSYmwe+dTk9Qg
X-Spam-Status: No
X-Spam-Score: -2.7 (--)
X-Debbugs-Envelope-To: 135
Cc: 'Kevin Ryde' <user42@HIDDEN>, 135 <at> debbugs.gnu.org,
	Stefan Monnier <monnier@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.7 (--)

Andreas Schwab <schwab@HIDDEN> writes:

> That argument is actually a stream (which can be a function), though
> that doesn't help since that receives the individual characters instead
> of the form to print.

Ah, right.  So that wouldn't work.  But we could add a new optional
parameter to `eval-region' to do the suggested thing.

But is it worth it?

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#135; Package emacs. Full text available.

Message received at 135 <at> debbugs.gnu.org:


Received: (at 135) by debbugs.gnu.org; 10 Jul 2011 13:15:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 10 09:15:08 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Qftqm-0002oq-G3
	for submit <at> debbugs.gnu.org; Sun, 10 Jul 2011 09:15:08 -0400
Received: from mail-out.m-online.net ([212.18.0.9])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <whitebox@HIDDEN>) id 1Qftqk-0002o9-0K
	for 135 <at> debbugs.gnu.org; Sun, 10 Jul 2011 09:15:07 -0400
Received: from frontend1.mail.m-online.net (unknown [192.168.8.180])
	by mail-out.m-online.net (Postfix) with ESMTP id 45BC11C01F1B;
	Sun, 10 Jul 2011 15:14:59 +0200 (CEST)
Received: from localhost (dynscan1.mnet-online.de [192.168.8.164])
	by mail.m-online.net (Postfix) with ESMTP id 3CCAF1C0006C;
	Sun, 10 Jul 2011 15:14:59 +0200 (CEST)
X-Virus-Scanned: amavisd-new at mnet-online.de
Received: from mail.mnet-online.de ([192.168.8.180])
	by localhost (dynscan1.mail.m-online.net [192.168.8.164]) (amavisd-new,
	port 10024)
	with ESMTP id tkB3SJo04sHc; Sun, 10 Jul 2011 15:14:55 +0200 (CEST)
Received: from igel.home (ppp-88-217-121-211.dynamic.mnet-online.de
	[88.217.121.211]) by mail.mnet-online.de (Postfix) with ESMTP;
	Sun, 10 Jul 2011 15:14:55 +0200 (CEST)
Received: by igel.home (Postfix, from userid 501)
	id DCC59CA293; Sun, 10 Jul 2011 15:14:54 +0200 (CEST)
From: Andreas Schwab <schwab@HIDDEN>
To: Lars Magne Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#135: generate autoloads versus eval-expression-print-level
	(patch)
References: <87hce9i8n5.fsf@HIDDEN> <jwviqypduds.fsf-monnier+emacs@HIDDEN>
	<87ej9au0yy.fsf@HIDDEN> <jwv4pa5r21s.fsf-monnier+emacs@HIDDEN>
	<87hce58dqy.fsf@HIDDEN> <m3aacr2u8x.fsf@HIDDEN>
	<DD977C051AD84C1F88217A1461BA4D3E@HIDDEN>
	<m31uy2xdpv.fsf@HIDDEN>
	<jwvei216f1x.fsf-monnier+emacs@HIDDEN>
	<m3vcvagv3x.fsf@HIDDEN>
X-Yow: Sometime in 1993 NANCY SINATRA will lead a BLOODLESS COUP on GUAM!!
Date: Sun, 10 Jul 2011 15:14:54 +0200
In-Reply-To: <m3vcvagv3x.fsf@HIDDEN> (Lars Magne Ingebrigtsen's
	message of "Sun, 10 Jul 2011 14:48:02 +0200")
Message-ID: <m24o2ue0q9.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/23.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -2.6 (--)
X-Debbugs-Envelope-To: 135
Cc: 'Kevin Ryde' <user42@HIDDEN>, 135 <at> debbugs.gnu.org,
	Stefan Monnier <monnier@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.6 (--)

Lars Magne Ingebrigtsen <larsi@HIDDEN> writes:

> We could extend PRINTFLAG to `eval-region' (which is currently a
> boolean) to be a closure to do the actual printing, for instance.

That argument is actually a stream (which can be a function), though
that doesn't help since that receives the individual characters instead
of the form to print.

Andreas.

-- 
Andreas Schwab, schwab@HIDDEN
GPG Key fingerprint = 58CA 54C7 6D53 942B 1756  01D3 44D5 214B 8276 4ED5
"And now for something completely different."




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#135; Package emacs. Full text available.
Removed tag(s) notabug. Request was from Lars Magne Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 135 <at> debbugs.gnu.org:


Received: (at 135) by debbugs.gnu.org; 10 Jul 2011 12:48:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 10 08:48:52 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1QftRL-0001M8-Pf
	for submit <at> debbugs.gnu.org; Sun, 10 Jul 2011 08:48:52 -0400
Received: from hermes.netfonds.no ([80.91.224.195])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <larsi@HIDDEN>) id 1QftRK-0001Lx-6d
	for 135 <at> debbugs.gnu.org; Sun, 10 Jul 2011 08:48:50 -0400
Received: from cm-84.215.51.58.getinternet.no ([84.215.51.58]
	helo=quimbies.gnus.org)
	by hermes.netfonds.no with esmtpsa (TLS1.0:DHE_RSA_AES_128_CBC_SHA1:16)
	(Exim 4.72) (envelope-from <larsi@HIDDEN>)
	id 1QftR6-0008Hy-71; Sun, 10 Jul 2011 14:48:36 +0200
From: Lars Magne Ingebrigtsen <larsi@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
Subject: Re: bug#135: generate autoloads versus eval-expression-print-level
	(patch)
In-Reply-To: <jwvei216f1x.fsf-monnier+emacs@HIDDEN> (Stefan Monnier's message
	of "Thu, 07 Jul 2011 15:58:11 -0400")
Date: Sun, 10 Jul 2011 14:48:02 +0200
Message-ID: <m3vcvagv3x.fsf@HIDDEN>
References: <87hce9i8n5.fsf@HIDDEN> <jwviqypduds.fsf-monnier+emacs@HIDDEN>
	<87ej9au0yy.fsf@HIDDEN> <jwv4pa5r21s.fsf-monnier+emacs@HIDDEN>
	<87hce58dqy.fsf@HIDDEN> <m3aacr2u8x.fsf@HIDDEN>
	<DD977C051AD84C1F88217A1461BA4D3E@HIDDEN>
	<m31uy2xdpv.fsf@HIDDEN>
	<jwvei216f1x.fsf-monnier+emacs@HIDDEN>
User-Agent: Gnus/5.110018 (No Gnus v0.18) Emacs/24.0.50 (gnu/linux)
X-Now-Playing: Baby Dee's _Regifted Light_: "Brother Slug and Sister Snail"
X-Hashcash: 1:23:110710:user42@HIDDEN::/BK66iBm/Xtentfr:000000000000000000000000000000000000000000005zc5
X-Hashcash: 1:23:110710:drew.adams@HIDDEN::UuB+/Miu11I9gr/+:0000000000000000000000000000000000000000RLbH
X-Hashcash: 1:23:110710:135 <at> debbugs.gnu.org::t+tazdnWj3CqCwTH:000000000000000000000000000000000000000000uFtK
X-Hashcash: 1:23:110710:monnier@HIDDEN::GVjZoyfIKQTVKoVh:0000000000000000000000000000000000000mbrb
MIME-Version: 1.0
Content-Type: text/plain
X-MailScanner-ID: 1QftR6-0008Hy-71
X-Netfonds-MailScanner: Found to be clean
X-Netfonds-MailScanner-From: larsi@HIDDEN
MailScanner-NULL-Check: 1310906916.54316@QfxnB5/FOIUEIxDCxuMh/A
X-Spam-Status: No
X-Spam-Score: -2.7 (--)
X-Debbugs-Envelope-To: 135
Cc: 'Kevin Ryde' <user42@HIDDEN>, 135 <at> debbugs.gnu.org,
	Drew Adams <drew.adams@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.7 (--)

Stefan Monnier <monnier@HIDDEN> writes:

> The OP considers it a bug because he wants the
> (print-level eval-expression-print-level) binding to only apply during
> printing but not during evaluation.  I can understand
> this interpretation.

Yes, it sounds reasonable.  But, as you said, somewhat tricky to fix,
since it basically calls the C-level `eval-region', which both evals and
prints the form, if I read the code correctly.

No, wait.  fixing this could be done without too much work, I think.
We could extend PRINTFLAG to `eval-region' (which is currently a
boolean) to be a closure to do the actual printing, for instance.

Basically

(eval-region 2 56 (lambda (form)
                    (let ((print-level eval-expression-print-level))
                          ... etc)
                       (prin1 form)))

That should be backwards-compatible, slightly generally useful, and
should allow us to fix this.

Does this sound OK?

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#135; Package emacs. Full text available.

Message received at 135 <at> debbugs.gnu.org:


Received: (at 135) by debbugs.gnu.org; 7 Jul 2011 20:35:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 07 16:35:18 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1QevI6-0000m1-6e
	for submit <at> debbugs.gnu.org; Thu, 07 Jul 2011 16:35:18 -0400
Received: from chene.dit.umontreal.ca ([132.204.246.20])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <monnier@HIDDEN>) id 1QevI4-0000lm-8H
	for 135 <at> debbugs.gnu.org; Thu, 07 Jul 2011 16:35:16 -0400
Received: from faina.iro.umontreal.ca (lechon.iro.umontreal.ca
	[132.204.27.242])
	by chene.dit.umontreal.ca (8.14.1/8.14.1) with ESMTP id p67JwBU2031515; 
	Thu, 7 Jul 2011 15:58:11 -0400
Received: by faina.iro.umontreal.ca (Postfix, from userid 20848)
	id 69064B4177; Thu,  7 Jul 2011 15:58:11 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Lars Magne Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#135: generate autoloads versus eval-expression-print-level
	(patch)
Message-ID: <jwvei216f1x.fsf-monnier+emacs@HIDDEN>
References: <87hce9i8n5.fsf@HIDDEN> <jwviqypduds.fsf-monnier+emacs@HIDDEN>
	<87ej9au0yy.fsf@HIDDEN> <jwv4pa5r21s.fsf-monnier+emacs@HIDDEN>
	<87hce58dqy.fsf@HIDDEN> <m3aacr2u8x.fsf@HIDDEN>
	<DD977C051AD84C1F88217A1461BA4D3E@HIDDEN>
	<m31uy2xdpv.fsf@HIDDEN>
Date: Thu, 07 Jul 2011 15:58:11 -0400
In-Reply-To: <m31uy2xdpv.fsf@HIDDEN> (Lars Magne Ingebrigtsen's
	message of "Thu, 07 Jul 2011 18:22:36 +0200")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-NAI-Spam-Flag: NO
X-NAI-Spam-Threshold: 5
X-NAI-Spam-Score: 0
X-NAI-Spam-Rules: 1 Rules triggered
	RV3911=0
X-NAI-Spam-Version: 2.2.0.9286 : core <3911> : streams <658559> : uri <909065>
X-Spam-Score: -2.0 (--)
X-Debbugs-Envelope-To: 135
Cc: 'Kevin Ryde' <user42@HIDDEN>, 135 <at> debbugs.gnu.org,
	Drew Adams <drew.adams@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.0 (--)

>>> > Yep, eval-expression and eval-last-sexp both seem ok, but eval-defun
>>> > not.  Eg. C-M-x on (progn print-level) ==> 4.
>>> What's the status on this bug?  Is this still a problem?
>> Haven't read the bug thread, but putting (progn print-level) in
>> *scratch* and doing C-M-x on it shows 4 in the echo area.  IOW, that
>> description still applies, in the latest Windows build:

> `C-M-x' uses `eval-expression-print-level' and friends (which default to
> 4), so I think this isn't a bug.

The OP considers it a bug because he wants the
(print-level eval-expression-print-level) binding to only apply during
printing but not during evaluation.  I can understand
this interpretation.


        Stefan




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#135; Package emacs. Full text available.
Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.

Message received at 135 <at> debbugs.gnu.org:


Received: (at 135) by debbugs.gnu.org; 7 Jul 2011 17:23:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 07 13:23:40 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1QesId-0006O5-MH
	for submit <at> debbugs.gnu.org; Thu, 07 Jul 2011 13:23:39 -0400
Received: from hermes.netfonds.no ([80.91.224.195])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <larsi@HIDDEN>) id 1QesIb-0006Nv-68
	for 135 <at> debbugs.gnu.org; Thu, 07 Jul 2011 13:23:37 -0400
Received: from cm-84.215.51.58.getinternet.no ([84.215.51.58]
	helo=quimbies.gnus.org)
	by hermes.netfonds.no with esmtpsa (TLS1.0:DHE_RSA_AES_128_CBC_SHA1:16)
	(Exim 4.72) (envelope-from <larsi@HIDDEN>)
	id 1QesIN-0006TI-FT; Thu, 07 Jul 2011 19:23:23 +0200
From: Lars Magne Ingebrigtsen <larsi@HIDDEN>
To: Glenn Morris <rgm@HIDDEN>
Subject: Re: bug#135: generate autoloads versus eval-expression-print-level
	(patch)
In-Reply-To: <c17h7uknwo.fsf@HIDDEN> (Glenn Morris's message of
	"Thu, 07 Jul 2011 13:20:55 -0400")
Date: Thu, 07 Jul 2011 19:23:21 +0200
Message-ID: <m3tyayromu.fsf@HIDDEN>
References: <87hce9i8n5.fsf@HIDDEN> <jwviqypduds.fsf-monnier+emacs@HIDDEN>
	<87ej9au0yy.fsf@HIDDEN> <jwv4pa5r21s.fsf-monnier+emacs@HIDDEN>
	<87hce58dqy.fsf@HIDDEN> <m3aacr2u8x.fsf@HIDDEN>
	<DD977C051AD84C1F88217A1461BA4D3E@HIDDEN>
	<m31uy2xdpv.fsf@HIDDEN> <c17h7uknwo.fsf@HIDDEN>
User-Agent: Gnus/5.110018 (No Gnus v0.18) Emacs/24.0.50 (gnu/linux)
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAAElBMVEUGIAEDGwBaaksQKwYA
	FAAKJQPWB9ewAAACRklEQVQ4jWVUy5LjIAwU63BHCb5PmZq7bYr7MOYD8DD8/69sSziZfVCJK1bT
	3ZJAodRbbPH/Rck5Zra9/oPSyt4XfoQdL/sewvIENl+wHmFZdnzlcwFV4iWHHYElvIcQWksCGGXM
	f+krwCwE5kaxjr0xdWWo1Gwi5OOuDn2HE53siy+OSMvRnBEHUFWL6Y8yFwVAKdlnir1diAgtkciW
	GI8lbGzx+0VI5G5HCKK6OiZHtgmAoqiUfXmTjOrKszE2fl1ALiACqMaRcbalhpybFHiECqmwosct
	TMt7lwp7I/8ZVnHohne1fbbk9rkceDc39vl+ATG1RuYIn7BGu8qHMGJYK6TQq/x2X0ItaMCXAjHW
	iuMmLvMU+IS1GxYtdQXQ3bYWzp5/yf7ekq1dAV+Obz1EIeAoUkNc0i3XUgK5Ltv1BK+4EOLpqF4X
	iXhQxCEkZrJItVukS0YPnSSjjQ1Bv/cEczSm5EyscbmSai1ArMWzecDBDCVI9QHc0A+0KQFwYpGE
	BSCeMwsgDEsKRGXga2bxBoEGAxcPQHKjumCe2epNjHH7LnwPWgUQiSLdBADp+hnn07kMd8m3ow6D
	90m6IAC0kp46rXTLxkxQqBfQAIBRMTqcOzqD1qgHcmoRgDXFf1QeSy3GqNmEnZNhowCu6KgwUjtz
	zk2UpCNVvZtWbpwv6H4lco6eowCgQ+CxOmsIq/9MD3YyH8SYH9Z5e01tbLR1Jl3W/vxvEMrfTk2I
	jGi9AHlIW3H7ehoxvdckT8zmhCyf1gr8BnTqy9HLLEOlAAAAAElFTkSuQmCC
X-Now-Playing: The Smiths's _The Queen Is Dead_: "Never Had Noone Ever"
X-Hashcash: 1:23:110707:135 <at> debbugs.gnu.org::wJRbqCOMX0DeckyO:0000000000000000000000000000000000000000002ISI
X-Hashcash: 1:23:110707:user42@HIDDEN::VIbT0csPa5XYJVsx:00000000000000000000000000000000000000000000B+pc
X-Hashcash: 1:23:110707:rgm@HIDDEN::wcQ3/EGZLI+rHYEG:000000K2aB
MIME-Version: 1.0
Content-Type: text/plain
X-MailScanner-ID: 1QesIN-0006TI-FT
X-Netfonds-MailScanner: Found to be clean
X-Netfonds-MailScanner-From: larsi@HIDDEN
MailScanner-NULL-Check: 1310664203.99756@XKlCy+r7qWXFGmqyA/HUzA
X-Spam-Status: No
X-Spam-Score: -2.7 (--)
X-Debbugs-Envelope-To: 135
Cc: 'Kevin Ryde' <user42@HIDDEN>, 135 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.7 (--)

Glenn Morris <rgm@HIDDEN> writes:

> I don't understand why answering a message which begins "Haven't read
> the bug" means the bug can be closed.
>
> As the bug says, some of the thread is missing, but it is easily found.
>
> http://lists.gnu.org/archive/html/emacs-devel/2008-04/msg01001.html
>
>     It occurred to me to wonder what business eval-defun has binding
>     those print variables during the eval, as opposed to just the
>     printing of the result, but doing anything about that looks a bit
>     difficult.

Ah, right.  I've now reopened the report.

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#135; Package emacs. Full text available.

Message received at 135 <at> debbugs.gnu.org:


Received: (at 135) by debbugs.gnu.org; 7 Jul 2011 17:21:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 07 13:21:09 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1QesGC-0006JD-Iy
	for submit <at> debbugs.gnu.org; Thu, 07 Jul 2011 13:21:08 -0400
Received: from fencepost.gnu.org ([140.186.70.10])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <rgm@HIDDEN>) id 1QesG9-0006Id-57
	for 135 <at> debbugs.gnu.org; Thu, 07 Jul 2011 13:21:06 -0400
Received: from localhost ([127.0.0.1]:40335)
	by fencepost.gnu.org with esmtp (Exim 4.71)
	(envelope-from <rgm@HIDDEN>)
	id 1QesG0-0002FZ-9w; Thu, 07 Jul 2011 13:20:56 -0400
From: Glenn Morris <rgm@HIDDEN>
To: Lars Magne Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#135: generate autoloads versus eval-expression-print-level
	(patch)
References: <87hce9i8n5.fsf@HIDDEN> <jwviqypduds.fsf-monnier+emacs@HIDDEN>
	<87ej9au0yy.fsf@HIDDEN> <jwv4pa5r21s.fsf-monnier+emacs@HIDDEN>
	<87hce58dqy.fsf@HIDDEN> <m3aacr2u8x.fsf@HIDDEN>
	<DD977C051AD84C1F88217A1461BA4D3E@HIDDEN>
	<m31uy2xdpv.fsf@HIDDEN>
X-Spook: White House ASPIC infowar Leuken-Baden PGP Honduras virus
X-Ran: (#P8EMsMgt4+q%wFv,P]>{8mCc1/G+h?x(m@q@f+p_\&#CaK.&:)b6VR0J#o`ou~n~J4PV
X-Hue: blue
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Thu, 07 Jul 2011 13:20:55 -0400
In-Reply-To: <m31uy2xdpv.fsf@HIDDEN> (Lars Magne Ingebrigtsen's
	message of "Thu, 07 Jul 2011 18:22:36 +0200")
Message-ID: <c17h7uknwo.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -6.4 (------)
X-Debbugs-Envelope-To: 135
Cc: 'Kevin Ryde' <user42@HIDDEN>, 135 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.4 (------)

Lars Magne Ingebrigtsen wrote:

>> Haven't read the bug thread, but putting (progn print-level) in
>> *scratch* and doing C-M-x on it shows 4 in the echo area. IOW, that
>> description still applies, in the latest Windows build:
>
> `C-M-x' uses `eval-expression-print-level' and friends (which default to
> 4), so I think this isn't a bug.

I don't understand why answering a message which begins "Haven't read
the bug" means the bug can be closed.

As the bug says, some of the thread is missing, but it is easily found.

http://lists.gnu.org/archive/html/emacs-devel/2008-04/msg01001.html

    It occurred to me to wonder what business eval-defun has binding
    those print variables during the eval, as opposed to just the
    printing of the result, but doing anything about that looks a bit
    difficult.




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#135; Package emacs. Full text available.
bug closed, send any further explanations to 135 <at> debbugs.gnu.org and Kevin Ryde <user42@HIDDEN> Request was from Lars Magne Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 135 <at> debbugs.gnu.org:


Received: (at 135) by debbugs.gnu.org; 7 Jul 2011 16:23:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 07 12:23:13 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1QerM8-0002LZ-MG
	for submit <at> debbugs.gnu.org; Thu, 07 Jul 2011 12:23:13 -0400
Received: from hermes.netfonds.no ([80.91.224.195])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <larsi@HIDDEN>) id 1QerM7-0002LD-B2
	for 135 <at> debbugs.gnu.org; Thu, 07 Jul 2011 12:23:11 -0400
Received: from cm-84.215.51.58.getinternet.no ([84.215.51.58]
	helo=quimbies.gnus.org)
	by hermes.netfonds.no with esmtpsa (TLS1.0:DHE_RSA_AES_128_CBC_SHA1:16)
	(Exim 4.72) (envelope-from <larsi@HIDDEN>)
	id 1QerLu-0005Pz-1f; Thu, 07 Jul 2011 18:22:58 +0200
From: Lars Magne Ingebrigtsen <larsi@HIDDEN>
To: "Drew Adams" <drew.adams@HIDDEN>
Subject: Re: bug#135: generate autoloads versus eval-expression-print-level
	(patch)
In-Reply-To: <DD977C051AD84C1F88217A1461BA4D3E@HIDDEN> (Drew Adams's
	message of "Wed, 6 Jul 2011 12:31:13 -0700")
Date: Thu, 07 Jul 2011 18:22:36 +0200
Message-ID: <m31uy2xdpv.fsf@HIDDEN>
References: <87hce9i8n5.fsf@HIDDEN> <jwviqypduds.fsf-monnier+emacs@HIDDEN>
	<87ej9au0yy.fsf@HIDDEN> <jwv4pa5r21s.fsf-monnier+emacs@HIDDEN>
	<87hce58dqy.fsf@HIDDEN> <m3aacr2u8x.fsf@HIDDEN>
	<DD977C051AD84C1F88217A1461BA4D3E@HIDDEN>
User-Agent: Gnus/5.110018 (No Gnus v0.18) Emacs/24.0.50 (gnu/linux)
X-Now-Playing: The Smiths's _The World Won't Listen_: "London"
X-Hashcash: 1:23:110707:135 <at> debbugs.gnu.org::egHCxw+Rfl+LalKd:000000000000000000000000000000000000000000Edzm
X-Hashcash: 1:23:110707:user42@HIDDEN::WMlOzDE+svhrWA7+:00000000000000000000000000000000000000000000UKKz
X-Hashcash: 1:23:110707:drew.adams@HIDDEN::yeJQ2aJPCzCpwbJ8:0000000000000000000000000000000000000000vrSd
MIME-Version: 1.0
Content-Type: text/plain
X-MailScanner-ID: 1QerLu-0005Pz-1f
X-Netfonds-MailScanner: Found to be clean
X-Netfonds-MailScanner-From: larsi@HIDDEN
MailScanner-NULL-Check: 1310660578.48547@WaDIQKwEz5svcrO1JhNHGg
X-Spam-Status: No
X-Spam-Score: -2.7 (--)
X-Debbugs-Envelope-To: 135
Cc: 'Kevin Ryde' <user42@HIDDEN>, 135 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.7 (--)

"Drew Adams" <drew.adams@HIDDEN> writes:

>> > Yep, eval-expression and eval-last-sexp both seem ok, but eval-defun
>> > not.  Eg. C-M-x on (progn print-level) ==> 4.
>> 
>> What's the status on this bug?  Is this still a problem?
>
> Haven't read the bug thread, but putting (progn print-level) in *scratch* and
> doing C-M-x on it shows 4 in the echo area.  IOW, that description still
> applies, in the latest Windows build:

`C-M-x' uses `eval-expression-print-level' and friends (which default to
4), so I think this isn't a bug.

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#135; Package emacs. Full text available.
Added tag(s) notabug. Request was from Lars Magne Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 135 <at> debbugs.gnu.org:


Received: (at 135) by debbugs.gnu.org; 6 Jul 2011 19:31:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 06 15:31:32 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1QeXoq-0003XQ-JW
	for submit <at> debbugs.gnu.org; Wed, 06 Jul 2011 15:31:32 -0400
Received: from rcsinet15.oracle.com ([148.87.113.117])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <drew.adams@HIDDEN>) id 1QeXop-0003XE-Fw
	for 135 <at> debbugs.gnu.org; Wed, 06 Jul 2011 15:31:31 -0400
Received: from rtcsinet21.oracle.com (rtcsinet21.oracle.com [66.248.204.29])
	by rcsinet15.oracle.com (Switch-3.4.4/Switch-3.4.4) with ESMTP id
	p66JVMjO010035
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
	Wed, 6 Jul 2011 19:31:24 GMT
Received: from acsmt356.oracle.com (acsmt356.oracle.com [141.146.40.156])
	by rtcsinet21.oracle.com (8.14.4+Sun/8.14.4) with ESMTP id
	p66JVLFj022174
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO);
	Wed, 6 Jul 2011 19:31:22 GMT
Received: from abhmt112.oracle.com (abhmt112.oracle.com [141.146.116.64])
	by acsmt356.oracle.com (8.12.11.20060308/8.12.11) with ESMTP id
	p66JVFBf023058; Wed, 6 Jul 2011 14:31:15 -0500
Received: from dradamslap1 (/10.159.55.239)
	by default (Oracle Beehive Gateway v4.0)
	with ESMTP ; Wed, 06 Jul 2011 12:31:15 -0700
From: "Drew Adams" <drew.adams@HIDDEN>
To: "'Lars Magne Ingebrigtsen'" <larsi@HIDDEN>,
	"'Kevin Ryde'" <user42@HIDDEN>
References: <87hce9i8n5.fsf@HIDDEN> <jwviqypduds.fsf-monnier+emacs@HIDDEN>
	<87ej9au0yy.fsf@HIDDEN> <jwv4pa5r21s.fsf-monnier+emacs@HIDDEN>
	<87hce58dqy.fsf@HIDDEN> <m3aacr2u8x.fsf@HIDDEN>
Subject: RE: bug#135: generate autoloads versus eval-expression-print-level
	(patch)
Date: Wed, 6 Jul 2011 12:31:13 -0700
Message-ID: <DD977C051AD84C1F88217A1461BA4D3E@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain;
	charset="us-ascii"
Content-Transfer-Encoding: 7bit
X-Mailer: Microsoft Office Outlook 11
In-Reply-To: <m3aacr2u8x.fsf@HIDDEN>
X-MimeOLE: Produced By Microsoft MimeOLE V6.00.2900.6109
Thread-Index: Acw8DCXlT8QyndNCQvueCLTmXhsclgABuZVw
X-Source-IP: rtcsinet21.oracle.com [66.248.204.29]
X-CT-RefId: str=0001.0A090204.4E14B80D.008A:SCFSTAT5015188, ss=1, re=-4.000,
	fgs=0
X-Spam-Score: -4.4 (----)
X-Debbugs-Envelope-To: 135
Cc: 135 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -4.4 (----)

> > Yep, eval-expression and eval-last-sexp both seem ok, but eval-defun
> > not.  Eg. C-M-x on (progn print-level) ==> 4.
> 
> What's the status on this bug?  Is this still a problem?

Haven't read the bug thread, but putting (progn print-level) in *scratch* and
doing C-M-x on it shows 4 in the echo area.  IOW, that description still
applies, in the latest Windows build:

In GNU Emacs 24.0.50.1 (i386-mingw-nt5.1.2600)
 of 2011-06-27 on 3249CTO
Windowing system distributor `Microsoft Corp.', version 5.1.2600
configured using `configure --with-gcc (4.5) --no-opt --cflags
-Ic:/build/include'





Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#135; Package emacs. Full text available.

Message received at 135 <at> debbugs.gnu.org:


Received: (at 135) by debbugs.gnu.org; 6 Jul 2011 17:30:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 06 13:30:02 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1QeVvF-00071g-Mf
	for submit <at> debbugs.gnu.org; Wed, 06 Jul 2011 13:30:01 -0400
Received: from hermes.netfonds.no ([80.91.224.195])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <larsi@HIDDEN>) id 1QeVvD-000714-27
	for 135 <at> debbugs.gnu.org; Wed, 06 Jul 2011 13:29:59 -0400
Received: from cm-84.215.51.58.getinternet.no ([84.215.51.58]
	helo=quimbies.gnus.org)
	by hermes.netfonds.no with esmtpsa (TLS1.0:DHE_RSA_AES_128_CBC_SHA1:16)
	(Exim 4.72) (envelope-from <larsi@HIDDEN>)
	id 1QeVv0-0007df-5h; Wed, 06 Jul 2011 19:29:46 +0200
From: Lars Magne Ingebrigtsen <larsi@HIDDEN>
To: Kevin Ryde <user42@HIDDEN>
Subject: Re: generate autoloads versus eval-expression-print-level (patch)
In-Reply-To: <87hce58dqy.fsf@HIDDEN> (Kevin Ryde's message of "Mon, 14 Apr
	2008 10:46:29 +1000")
Date: Wed, 06 Jul 2011 19:29:02 +0200
Message-ID: <m3aacr2u8x.fsf@HIDDEN>
References: <87hce9i8n5.fsf@HIDDEN> <jwviqypduds.fsf-monnier+emacs@HIDDEN>
	<87ej9au0yy.fsf@HIDDEN> <jwv4pa5r21s.fsf-monnier+emacs@HIDDEN>
	<87hce58dqy.fsf@HIDDEN>
User-Agent: Gnus/5.110018 (No Gnus v0.18) Emacs/24.0.50 (gnu/linux)
X-Now-Playing: Anna =?iso-8859-1?Q?J=E4rvinen's?= _Man var bland molnen_:
	=?iso-8859-1?Q?=22=C4ppel=F6ga=22?=
X-Hashcash: 1:23:110706:emacs-devel@HIDDEN::Fp4QbLPNBta0Cw0b:000000000000000000000000000000000000000000991s
X-Hashcash: 1:23:110706:135 <at> debbugs.gnu.org::lAxJRuJggPo4H01/:00000000000000000000000000000000000000000060TB
X-Hashcash: 1:23:110706:user42@HIDDEN::5+LRzj0jHz0RZ0h4:00000000000000000000000000000000000000000000Kz2G
MIME-Version: 1.0
Content-Type: text/plain
X-MailScanner-ID: 1QeVv0-0007df-5h
X-Netfonds-MailScanner: Found to be clean
X-Netfonds-MailScanner-From: larsi@HIDDEN
MailScanner-NULL-Check: 1310578186.24724@iIsxcfR6HSGLELPgs3axVw
X-Spam-Status: No
X-Spam-Score: -2.8 (--)
X-Debbugs-Envelope-To: 135
Cc: 135 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.8 (--)

Kevin Ryde <user42@HIDDEN> writes:

>> Actually, looking at the code of eval-expression, it seems to only bind
>> those variables around the print part, not the eval part.
>
> Yep, eval-expression and eval-last-sexp both seem ok, but eval-defun
> not.  Eg. C-M-x on (progn print-level) ==> 4.

What's the status on this bug?  Is this still a problem?

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#135; Package emacs. Full text available.
Severity set to 'minor' from 'normal' Request was from Chong Yidong <cyd@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at (unknown):


Received: (at unknown) by unknown; unknown
X-Spam-Checker-Version: SpamAssassin 3.2.3-bugs.debian.org_2005_01_02
	(2007-08-08) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Status: No, score=-3.2 required=4.0 tests=AWL,BAYES_00,
	MURPHY_DRUGS_REL8 autolearn=ham version=3.2.3-bugs.debian.org_2005_01_02
Received: (at 135) by emacsbugs.donarmstrong.com; 2 Jun 2008 23:12:59 +0000
Received: from mailout2.pacific.net.au (mailout2-6.pacific.net.au [61.8.2.229])
	by rzlab.ucr.edu (8.13.8/8.13.8/Debian-3) with ESMTP id m52NCqL5004105
	for <135@HIDDEN>; Mon, 2 Jun 2008 16:12:53 -0700
Received: from mailproxy1.pacific.net.au (mailproxy1.pacific.net.au [61.8.2.162])
	by mailout2.pacific.net.au (Postfix) with ESMTP id 36C0DB2C9D;
	Tue,  3 Jun 2008 09:12:08 +1000 (EST)
Received: from blah.blah (ppp293E.dyn.pacific.net.au [61.8.41.62])
	by mailproxy1.pacific.net.au (Postfix) with ESMTP id AAD0D8DE3;
	Tue,  3 Jun 2008 09:04:57 +1000 (EST)
Received: from gg by blah.blah with local (Exim 4.69)
	(envelope-from <gg@HIDDEN>)
	id 1K3J59-0000gP-MG; Tue, 03 Jun 2008 09:04:51 +1000
From: Kevin Ryde <user42@HIDDEN>
To: Glenn Morris <rgm@HIDDEN>
Cc: 135 <at> debbugs.gnu.org
Subject: Re: bug#135 closed by Glenn Morris <rgm@HIDDEN> (Re: eval-defun  binds print-level during eval  )
References: <18495.14158.982200.566312@HIDDEN>
	<87hce58dqy.fsf@HIDDEN>
	<handler.135.D135.121210258811769.notifdone@HIDDEN>
	<87skvwybpg.fsf@HIDDEN>
	<18499.21722.458269.300616@HIDDEN>
Date: Tue, 03 Jun 2008 09:04:51 +1000
In-Reply-To: <18499.21722.458269.300616@HIDDEN> (Glenn Morris's
	message of "Sun, 1 Jun 2008 22:03:06 -0400")
Message-ID: <87bq2ja164.fsf@HIDDEN>
User-Agent: Gnus/5.110007 (No Gnus v0.7) Emacs/22.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii

Glenn Morris <rgm@HIDDEN> writes:
>
> (Some of the discussion seems to be missing from the bug tracker,
> probably a teething problem.)

Yeah, no, it was a double-banger starting on emacs-devel; a patch
accepted for one problem, a second (the C-M-x) revealing itself and not
easily fixable ...




Acknowledgement sent to Kevin Ryde <user42@HIDDEN>:
Extra info received and forwarded to list. Copy sent to Emacs Bugs <bug-gnu-emacs@HIDDEN>. Full text available.
Information forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#135; Package emacs. Full text available.
bug reopened, originator not changed. Request was from Glenn Morris <rgm@HIDDEN> to control@HIDDEN. Full text available.

Message received at (unknown):


Received: (at unknown) by unknown; unknown
X-Spam-Checker-Version: SpamAssassin 3.2.3-bugs.debian.org_2005_01_02
	(2007-08-08) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Status: No, score=-8.0 required=4.0 tests=AWL,BAYES_00,
	RCVD_IN_DNSWL_MED autolearn=ham version=3.2.3-bugs.debian.org_2005_01_02
Received: (at 135) by emacsbugs.donarmstrong.com; 2 Jun 2008 02:05:02 +0000
Received: from fencepost.gnu.org (fencepost.gnu.org [140.186.70.10])
	by rzlab.ucr.edu (8.13.8/8.13.8/Debian-3) with ESMTP id m5224wet014665
	for <135@HIDDEN>; Sun, 1 Jun 2008 19:04:59 -0700
Received: from rgm by fencepost.gnu.org with local (Exim 4.67)
	(envelope-from <rgm@HIDDEN>)
	id 1K2zO6-0000mE-GZ; Sun, 01 Jun 2008 22:03:06 -0400
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
Message-ID: <18499.21722.458269.300616@HIDDEN>
Date: Sun, 1 Jun 2008 22:03:06 -0400
From: Glenn Morris <rgm@HIDDEN>
To: Kevin Ryde <user42@HIDDEN>
Cc: 135 <at> debbugs.gnu.org
Subject: Re: bug#135 closed by Glenn Morris <rgm@HIDDEN> (Re: eval-defun  binds print-level during eval  )
In-Reply-To: <87skvwybpg.fsf@HIDDEN>
References: <18495.14158.982200.566312@HIDDEN>
	<87hce58dqy.fsf@HIDDEN>
	<handler.135.D135.121210258811769.notifdone@HIDDEN>
	<87skvwybpg.fsf@HIDDEN>
X-Attribution: GM
X-Mailer: VM (www.wonderworks.com/vm), GNU Emacs (www.gnu.org/software/emacs)
X-Hue: blue
X-Ran: }lnahC]'AF[OIPlD4{QinZ;ib|QD|'uV[-0G$LbzFdEq}-C~6,$EUE(]9EL!1ApRML3Vb~


Kevin Ryde wrote (on Mon, 2 Jun 2008 at 09:31 +1000):

> Has it?  It's still coming out as 4 for me (C-M-x recipe in the bug).
> 
> (But I'm a little unsure how clean my build is at the moment.)

My mistake, thanks for pointing it out. I will reopen this bug.
(Some of the discussion seems to be missing from the bug tracker,
probably a teething problem.)




Acknowledgement sent to Glenn Morris <rgm@HIDDEN>:
Extra info received and forwarded to list. Copy sent to Emacs Bugs <bug-gnu-emacs@HIDDEN>. Full text available.
Information forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#135; Package emacs. Full text available.

Message received at (unknown):


Received: (at unknown) by unknown; unknown
X-Spam-Checker-Version: SpamAssassin 3.2.3-bugs.debian.org_2005_01_02
	(2007-08-08) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Status: No, score=-2.5 required=4.0 tests=AWL,BAYES_00 autolearn=ham
	version=3.2.3-bugs.debian.org_2005_01_02
Received: (at 135) by emacsbugs.donarmstrong.com; 1 Jun 2008 23:31:54 +0000
Received: from mailout2.pacific.net.au (mailout2-6.pacific.net.au [61.8.2.229])
	by rzlab.ucr.edu (8.13.8/8.13.8/Debian-3) with ESMTP id m51NVo9u010457
	for <135@HIDDEN>; Sun, 1 Jun 2008 16:31:51 -0700
Received: from mailproxy1.pacific.net.au (mailproxy1.pacific.net.au [61.8.2.162])
	by mailout2.pacific.net.au (Postfix) with ESMTP id 016D4B26F2;
	Mon,  2 Jun 2008 09:31:47 +1000 (EST)
Received: from blah.blah (ppp2F2B.dyn.pacific.net.au [61.8.47.43])
	by mailproxy1.pacific.net.au (Postfix) with ESMTP id 840EB8C0C;
	Mon,  2 Jun 2008 09:31:46 +1000 (EST)
Received: from gg by blah.blah with local (Exim 4.69)
	(envelope-from <gg@HIDDEN>)
	id 1K2x12-0003GQ-2c; Mon, 02 Jun 2008 09:31:08 +1000
From: Kevin Ryde <user42@HIDDEN>
To: Glenn Morris <rgm@HIDDEN>
Cc: 135 <at> debbugs.gnu.org
Subject: Re: bug#135 closed by Glenn Morris <rgm@HIDDEN> (Re: eval-defun  binds print-level during eval  )
References: <18495.14158.982200.566312@HIDDEN>
	<87hce58dqy.fsf@HIDDEN>
	<handler.135.D135.121210258811769.notifdone@HIDDEN>
Date: Mon, 02 Jun 2008 09:31:07 +1000
In-Reply-To: <handler.135.D135.121210258811769.notifdone@HIDDEN>
	(Emacs bug Tracking System's message of "Thu, 29 May 2008 16:15:06
	-0700")
Message-ID: <87skvwybpg.fsf@HIDDEN>
User-Agent: Gnus/5.110007 (No Gnus v0.7) Emacs/22.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii

don@HIDDEN (Emacs bug Tracking System) writes:
>
> This has been fixed.

Has it?  It's still coming out as 4 for me (C-M-x recipe in the bug).

(But I'm a little unsure how clean my build is at the moment.)




Acknowledgement sent to Kevin Ryde <user42@HIDDEN>:
Extra info received and forwarded to list. Copy sent to Emacs Bugs <bug-gnu-emacs@HIDDEN>. Full text available.
Information forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#135; Package emacs. Full text available.

Message received at (unknown):


Received: (at unknown) by unknown; unknown
X-Spam-Checker-Version: SpamAssassin 3.2.3-bugs.debian.org_2005_01_02
	(2007-08-08) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Status: No, score=-9.2 required=4.0 tests=AWL,BAYES_00,
	RCVD_IN_DNSWL_MED autolearn=ham version=3.2.3-bugs.debian.org_2005_01_02
Received: (at 135-done) by emacsbugs.donarmstrong.com; 29 May 2008 23:09:48 +0000
Received: from fencepost.gnu.org (fencepost.gnu.org [140.186.70.10])
	by rzlab.ucr.edu (8.13.8/8.13.8/Debian-3) with ESMTP id m4TN9jpK011763
	for <135-done@HIDDEN>; Thu, 29 May 2008 16:09:46 -0700
Received: from rgm by fencepost.gnu.org with local (Exim 4.67)
	(envelope-from <rgm@HIDDEN>)
	id 1K1rDz-0001MT-1I; Thu, 29 May 2008 19:07:59 -0400
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
Message-ID: <18495.14158.982200.566312@HIDDEN>
Date: Thu, 29 May 2008 19:07:58 -0400
From: Glenn Morris <rgm@HIDDEN>
To: 135-done <at> debbugs.gnu.org
Subject: Re: eval-defun binds print-level during eval  
X-Attribution: GM
X-Mailer: VM (www.wonderworks.com/vm), GNU Emacs (www.gnu.org/software/emacs)
X-Hue: green
X-Ran: 7m1D_,t[l{t%jQrX(ZC#{+\s++|AO>^M>~'c1tU6Y`QAsDV;wV<"*:_Aqq%DqLX?"P1jIz


This has been fixed.




Notification sent to Kevin Ryde <user42@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Glenn Morris <rgm@HIDDEN>:
You have taken responsibility. Full text available.
Changed bug title to `eval-defun binds print-level during eval' from `generate autoloads versus eval-expression-print-level (patch)'. Request was from Kevin Ryde <user42@HIDDEN> to control@HIDDEN. Full text available.

Message received at (unknown):


Received: (at unknown) by unknown; unknown
X-Spam-Checker-Version: SpamAssassin 3.2.3-bugs.debian.org_2005_01_02
	(2007-08-08) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Status: No, score=0.0 required=4.0 tests=MURPHY_DRUGS_REL8
	autolearn=ham version=3.2.3-bugs.debian.org_2005_01_02
Received: (at submit) by emacsbugs.donarmstrong.com; 14 Apr 2008 01:54:03 +0000
Received: from ironport2-out.teksavvy.com (ironport2-out.pppoe.ca [206.248.154.182])
	by rzlab.ucr.edu (8.13.8/8.13.8/Debian-3) with ESMTP id m3E1rxbM018815
	for <submit@HIDDEN>; Sun, 13 Apr 2008 18:54:01 -0700
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: AgkFAGJVAkhMCqsI/2dsb2JhbACBXpB3lj8
X-IronPort-AV: E=Sophos;i="4.25,651,1199682000"; 
   d="scan'208";a="18459267"
Received: from smtp.pppoe.ca (HELO smtp.teksavvy.com) ([65.39.196.238])
  by ironport2-out.teksavvy.com with ESMTP; 13 Apr 2008 21:53:54 -0400
Received: from pastel.home ([76.10.171.8])
        by smtp.teksavvy.com (Internet Mail Server v1.0) with ESMTP id UFP10754
        for <submit@HIDDEN>; Sun, 13 Apr 2008 21:53:54 -0400
Received: by pastel.home (Postfix, from userid 20848)
	id E02BC8A41; Sun, 13 Apr 2008 21:53:53 -0400 (EDT)
Resent-Message-ID: <jwvve2lnqvi.fsf-monnier+emacs@HIDDEN>
Resent-To: submit <at> debbugs.gnu.org
Resent-From: Stefan Monnier <monnier@HIDDEN>
Resent-Date: Sun, 13 Apr 2008 21:53:53 -0400
X-Original-To: monnier@HIDDEN
Received: from perlin.iro.umontreal.ca (perlin.iro.umontreal.ca [132.204.24.51])
	by mercure.iro.umontreal.ca (Postfix) with ESMTP id E68AD2CF7A0
	for <monnier@HIDDEN>; Sun, 13 Apr 2008 20:50:59 -0400 (EDT)
Received: from lists.gnu.org (lists.gnu.org [199.232.76.165])
	by perlin.iro.umontreal.ca (Postfix) with ESMTP id E4C75148218
	for <monnier@HIDDEN>; Sun, 13 Apr 2008 20:50:53 -0400 (EDT)
Received: from localhost ([127.0.0.1] helo=lists.gnu.org)
	by lists.gnu.org with esmtp (Exim 4.43)
	id 1JlCuJ-0002Qv-O4
	for monnier@HIDDEN; Sun, 13 Apr 2008 20:50:51 -0400
Received: from mailman by lists.gnu.org with tmda-scanned (Exim 4.43)
	id 1JlCty-0002Ok-MZ
	for emacs-devel@HIDDEN; Sun, 13 Apr 2008 20:50:30 -0400
Received: from exim by lists.gnu.org with spam-scanned (Exim 4.43)
	id 1JlCtt-0002Dd-R1
	for emacs-devel@HIDDEN; Sun, 13 Apr 2008 20:50:30 -0400
Received: from [199.232.76.173] (helo=monty-python.gnu.org)
	by lists.gnu.org with esmtp (Exim 4.43) id 1JlCtt-0002DT-Mt
	for emacs-devel@HIDDEN; Sun, 13 Apr 2008 20:50:25 -0400
Received: from mailout2-7.pacific.net.au ([61.8.2.230]
	helo=mailout2.pacific.net.au)
	by monty-python.gnu.org with esmtp (Exim 4.60)
	(envelope-from <gg@HIDDEN>) id 1JlCtt-0003ci-3T
	for emacs-devel@HIDDEN; Sun, 13 Apr 2008 20:50:25 -0400
Received: from mailproxy2.pacific.net.au (mailproxy2.pacific.net.au
	[61.8.2.163])
	by mailout2.pacific.net.au (Postfix) with ESMTP id 51122A66D0
	for <emacs-devel@HIDDEN>; Mon, 14 Apr 2008 10:46:39 +1000 (EST)
Received: from blah.blah (ppp2274.dyn.pacific.net.au [61.8.34.116])
	by mailproxy2.pacific.net.au (Postfix) with ESMTP id D9EDF27418
	for <emacs-devel@HIDDEN>; Mon, 14 Apr 2008 10:46:38 +1000 (EST)
Received: from gg by blah.blah with local (Exim 4.69)
	(envelope-from <gg@HIDDEN>) id 1JlCq6-0000dq-2S
	for emacs-devel@HIDDEN; Mon, 14 Apr 2008 10:46:30 +1000
From: Kevin Ryde <user42@HIDDEN>
To: emacs-devel@HIDDEN
References: <87hce9i8n5.fsf@HIDDEN> <jwviqypduds.fsf-monnier+emacs@HIDDEN>
	<87ej9au0yy.fsf@HIDDEN> <jwv4pa5r21s.fsf-monnier+emacs@HIDDEN>
Date: Mon, 14 Apr 2008 10:46:29 +1000
In-Reply-To: <jwv4pa5r21s.fsf-monnier+emacs@HIDDEN> (Stefan Monnier's message
	of "Sun, 13 Apr 2008 15:24:44 -0400")
Message-ID: <87hce58dqy.fsf@HIDDEN>
User-Agent: Gnus/5.110007 (No Gnus v0.7) Emacs/22.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-detected-kernel: by monty-python.gnu.org: Linux 2.6, seldom 2.4 (older, 4)
Subject: Re: generate autoloads versus eval-expression-print-level (patch)
X-BeenThere: emacs-devel@HIDDEN
X-Mailman-Version: 2.1.5
Precedence: list
List-Id: "Emacs development discussions." <emacs-devel.gnu.org>
List-Unsubscribe: <http://lists.gnu.org/mailman/listinfo/emacs-devel>,
	<mailto:emacs-devel-request@HIDDEN?subject=unsubscribe>
List-Archive: <http://lists.gnu.org/pipermail/emacs-devel>
List-Post: <mailto:emacs-devel@HIDDEN>
List-Help: <mailto:emacs-devel-request@HIDDEN?subject=help>
List-Subscribe: <http://lists.gnu.org/mailman/listinfo/emacs-devel>,
	<mailto:emacs-devel-request@HIDDEN?subject=subscribe>
Sender: emacs-devel-bounces+monnier=iro.umontreal.ca@HIDDEN
Errors-To: emacs-devel-bounces+monnier=iro.umontreal.ca@HIDDEN
X-DIRO-MailScanner-Information: Please contact the ISP for more information
X-DIRO-MailScanner: Found to be clean
X-DIRO-MailScanner-SpamCheck: n'est pas un polluriel,
	SpamAssassin (score=-2.6, requis 5, autolearn=not spam,
	BAYES_00 -2.60, SPF_HELO_PASS -0.00)
X-DIRO-MailScanner-From: emacs-devel-bounces+monnier=iro.umontreal.ca@HIDDEN

Stefan Monnier <monnier@HIDDEN> writes:
>
> Actually, looking at the code of eval-expression, it seems to only bind
> those variables around the print part, not the eval part.

Yep, eval-expression and eval-last-sexp both seem ok, but eval-defun
not.  Eg. C-M-x on (progn print-level) ==> 4.





Acknowledgement sent to Kevin Ryde <user42@HIDDEN>:
New bug report received and forwarded. Copy sent to Emacs Bugs <bug-gnu-emacs@HIDDEN>. Full text available.
Report forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#135; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.